
import recruitApi from '../../api/recruit'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    recruitList:[],
    showClear:false,
    searchinput:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
        this.getRecruitList();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  goToInfo:function(e){
    var id = e.currentTarget.dataset.id;
    wx.navigateTo({
      url: '../recruitInfo/recruitInfo?id='+id
    })
  },
  getRecruitList: async function(name='') {
    var result = await recruitApi.getRecruitList(name,1,1,100);
    this.setData({
      recruitList:result.list,
      count:result.count,
      page:result.page
    })
  },
  inputFocus:function(e) {
    var recruit = e.detail.value
    if(recruit){
      this.setData({
        showClear:true
      })
    }else{
      this.setData({
        showClear:false
      })
    }
  },
  clearInput:function() {
    this.setData({
      showClear:false,
      searchinput:''  
    })
  },
  searchContents:function(e) {
    var recruit = e.detail.value
    this.getRecruitList(recruit)
  }

})